org.apache.cassandra.cql3.statements

## Class ParsedStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement

- Direct Known Subclasses:
    AuthenticationStatement, AuthorizationStatement, CFStatement, UseStatement

      public abstract class ParsedStatement
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ParsedStatement.Prepared`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsedStatement()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBoundTerms()`
    `abstract ParsedStatement.Prepared` | `prepare()`
    `void` | `setBoundTerms(int boundTerms)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedStatement

          public ParsedStatement()

  - ### Method Detail

    - #### getBoundTerms

          public int getBoundTerms()

    - #### setBoundTerms

          public void setBoundTerms(int boundTerms)

    - #### prepare

          public abstract ParsedStatement.Prepared prepare()
                                                    throws RequestValidationException

      Throws:
        `RequestValidationException`

Copyright © 2014 The Apache Software Foundation